<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<!-- Generated by Apache Maven Doxia Site Renderer 1.8.1 from org.apache.maven.plugins:maven-project-info-reports-plugin:3.0.0:dependencies at 2023-06-07 -->
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
  <head>
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
    <title>SortingAppProject &#x2013; Project Dependencies</title>
    <style type="text/css" media="all">
      @import url("./css/maven-base.css");
      @import url("./css/maven-theme.css");
      @import url("./css/site.css");
    </style>
    <link rel="stylesheet" href="./css/print.css" type="text/css" media="print" />
    <meta http-equiv="Content-Language" content="en" />
    
  </head>
  <body class="composite">
    <div id="banner">
<div id="bannerLeft">
SortingAppProject
</div>
      <div class="clear">
        <hr/>
      </div>
    </div>
    <div id="breadcrumbs">
      <div class="xleft">
        <span id="publishDate">Last Published: 2023-06-07</span>
          &nbsp;| <span id="projectVersion">Version: 1.0-SNAPSHOT</span>
      </div>
      <div class="xright"><a href="${project.url}" title="SortingAppProject">SortingAppProject</a>      </div>
      <div class="clear">
        <hr/>
      </div>
    </div>
    <div id="leftColumn">
      <div id="navcolumn">
       <h5>Project Documentation</h5>
    <ul>
     <li class="expanded"><a href="project-info.html" title="Project Information">Project Information</a>
      <ul>
       <li class="none"><strong>Dependencies</strong></li>
       <li class="none"><a href="dependency-info.html" title="Dependency Information">Dependency Information</a></li>
       <li class="none"><a href="distribution-management.html" title="Distribution Management">Distribution Management</a></li>
       <li class="none"><a href="index.html" title="About">About</a></li>
       <li class="none"><a href="plugin-management.html" title="Plugin Management">Plugin Management</a></li>
       <li class="none"><a href="plugins.html" title="Plugins">Plugins</a></li>
       <li class="none"><a href="summary.html" title="Summary">Summary</a></li>
      </ul></li>
    </ul>
      <a href="http://maven.apache.org/" title="Built by Maven" class="poweredBy">
        <img class="poweredBy" alt="Built by Maven" src="./images/logos/maven-feather.png" />
      </a>
      </div>
    </div>
    <div id="bodyColumn">
      <div id="contentBox">
<a name="Project_Dependencies"></a>
<div class="section">
<h2><a name="Project_Dependencies"></a>Project Dependencies</h2><a name="Project_Dependencies_compile"></a>
<div class="section">
<h3><a name="compile"></a>compile</h3>
<p>The following is a list of compile dependencies for this project. These dependencies are required to compile and run the application:</p>
<table border="0" class="bodyTable">
<tr class="a">
<th>GroupId</th>
<th>ArtifactId</th>
<th>Version</th>
<th>Type</th>
<th>Licenses</th></tr>
<tr class="b">
<td>com.lmax</td>
<td><a class="externalLink" href="http://lmax-exchange.github.com/disruptor">disruptor</a></td>
<td>3.3.6</td>
<td>jar</td>
<td><a class="externalLink" href="http://www.apache.org/licenses/LICENSE-2.0.txt">The Apache Software License, Version 2.0</a></td></tr>
<tr class="a">
<td>commons-io</td>
<td><a class="externalLink" href="https://commons.apache.org/proper/commons-io/">commons-io</a></td>
<td>2.7</td>
<td>jar</td>
<td><a class="externalLink" href="https://www.apache.org/licenses/LICENSE-2.0.txt">Apache License, Version 2.0</a></td></tr>
<tr class="b">
<td>org.apache.logging.log4j</td>
<td><a class="externalLink" href="http://logging.apache.org/log4j/2.x/log4j-1.2-api/">log4j-1.2-api</a></td>
<td>2.7</td>
<td>jar</td>
<td><a class="externalLink" href="http://www.apache.org/licenses/LICENSE-2.0.txt">The Apache Software License, Version 2.0</a></td></tr>
<tr class="a">
<td>org.apache.logging.log4j</td>
<td><a class="externalLink" href="http://logging.apache.org/log4j/2.x/log4j-api/">log4j-api</a></td>
<td>2.7</td>
<td>jar</td>
<td><a class="externalLink" href="http://www.apache.org/licenses/LICENSE-2.0.txt">The Apache Software License, Version 2.0</a></td></tr>
<tr class="b">
<td>org.apache.logging.log4j</td>
<td><a class="externalLink" href="http://logging.apache.org/log4j/2.x/log4j-core/">log4j-core</a></td>
<td>2.7</td>
<td>jar</td>
<td><a class="externalLink" href="http://www.apache.org/licenses/LICENSE-2.0.txt">The Apache Software License, Version 2.0</a></td></tr>
<tr class="a">
<td>org.apache.logging.log4j</td>
<td><a class="externalLink" href="http://logging.apache.org/log4j/2.x/log4j-jcl/">log4j-jcl</a></td>
<td>2.7</td>
<td>jar</td>
<td><a class="externalLink" href="http://www.apache.org/licenses/LICENSE-2.0.txt">The Apache Software License, Version 2.0</a></td></tr>
<tr class="b">
<td>org.apache.logging.log4j</td>
<td><a class="externalLink" href="http://logging.apache.org/log4j/2.x/log4j-slf4j-impl/">log4j-slf4j-impl</a></td>
<td>2.7</td>
<td>jar</td>
<td><a class="externalLink" href="http://www.apache.org/licenses/LICENSE-2.0.txt">The Apache Software License, Version 2.0</a></td></tr></table></div><a name="Project_Dependencies_test"></a>
<div class="section">
<h3><a name="test"></a>test</h3>
<p>The following is a list of test dependencies for this project. These dependencies are only required to compile and run unit tests for the application:</p>
<table border="0" class="bodyTable">
<tr class="a">
<th>GroupId</th>
<th>ArtifactId</th>
<th>Version</th>
<th>Type</th>
<th>Licenses</th></tr>
<tr class="b">
<td>junit</td>
<td><a class="externalLink" href="http://junit.org">junit</a></td>
<td>4.12</td>
<td>jar</td>
<td><a class="externalLink" href="http://www.eclipse.org/legal/epl-v10.html">Eclipse Public License 1.0</a></td></tr></table></div></div><a name="Project_Transitive_Dependencies"></a>
<div class="section">
<h2><a name="Project_Transitive_Dependencies"></a>Project Transitive Dependencies</h2>
<p>The following is a list of transitive dependencies for this project. Transitive dependencies are the dependencies of the project dependencies.</p><a name="Project_Transitive_Dependencies_compile"></a>
<div class="section">
<h3><a name="compile"></a>compile</h3>
<p>The following is a list of compile dependencies for this project. These dependencies are required to compile and run the application:</p>
<table border="0" class="bodyTable">
<tr class="a">
<th>GroupId</th>
<th>ArtifactId</th>
<th>Version</th>
<th>Type</th>
<th>Licenses</th></tr>
<tr class="b">
<td>commons-logging</td>
<td><a class="externalLink" href="http://commons.apache.org/proper/commons-logging/">commons-logging</a></td>
<td>1.2</td>
<td>jar</td>
<td><a class="externalLink" href="http://www.apache.org/licenses/LICENSE-2.0.txt">The Apache Software License, Version 2.0</a></td></tr>
<tr class="a">
<td>org.slf4j</td>
<td><a class="externalLink" href="http://www.slf4j.org">slf4j-api</a></td>
<td>1.7.21</td>
<td>jar</td>
<td><a class="externalLink" href="http://www.opensource.org/licenses/mit-license.php">MIT License</a></td></tr></table></div><a name="Project_Transitive_Dependencies_test"></a>
<div class="section">
<h3><a name="test"></a>test</h3>
<p>The following is a list of test dependencies for this project. These dependencies are only required to compile and run unit tests for the application:</p>
<table border="0" class="bodyTable">
<tr class="a">
<th>GroupId</th>
<th>ArtifactId</th>
<th>Version</th>
<th>Type</th>
<th>Licenses</th></tr>
<tr class="b">
<td>org.hamcrest</td>
<td><a class="externalLink" href="https://github.com/hamcrest/JavaHamcrest/hamcrest-core">hamcrest-core</a></td>
<td>1.3</td>
<td>jar</td>
<td><a class="externalLink" href="http://www.opensource.org/licenses/bsd-license.php">New BSD License</a></td></tr></table></div></div><a name="Project_Dependency_Graph"></a>
<div class="section">
<h2><a name="Project_Dependency_Graph"></a>Project Dependency Graph</h2>
<script language="javascript" type="text/javascript">
      function toggleDependencyDetails( divId, imgId )
      {
        var div = document.getElementById( divId );
        var img = document.getElementById( imgId );
        if( div.style.display == '' )
        {
          div.style.display = 'none';
          img.src='./images/icon_info_sml.gif';
          img.alt='[Information]';
        }
        else
        {
          div.style.display = '';
          img.src='./images/close.gif';
          img.alt='[Close]';
        }
      }
</script>
<a name="Dependency_Tree"></a>
<div class="section">
<h3><a name="Dependency_Tree"></a>Dependency Tree</h3>
<ul>
<li>org.example.sortingAppProject:SortingAppProject:jar:1.0-SNAPSHOT <img id="_img1" src="./images/icon_info_sml.gif" alt="[Information]" onclick="toggleDependencyDetails( '_dep0', '_img1' );" style="cursor: pointer; vertical-align: text-bottom;"></img><div id="_dep0" style="display:none">
<table border="0" class="bodyTable">
<tr class="a">
<th>SortingAppProject</th></tr>
<tr class="b">
<td>
<p><b>Description: </b>There is currently no description associated with this project.</p>
<p><b>Project Licenses: </b>No licenses are defined for this project.</p></td></tr></table></div>
<ul>
<li>commons-io:commons-io:jar:2.7 (compile) <img id="_img3" src="./images/icon_info_sml.gif" alt="[Information]" onclick="toggleDependencyDetails( '_dep2', '_img3' );" style="cursor: pointer; vertical-align: text-bottom;"></img><div id="_dep2" style="display:none">
<table border="0" class="bodyTable">
<tr class="a">
<th>Apache Commons IO</th></tr>
<tr class="b">
<td>
<p><b>Description: </b>The Apache Commons IO library contains utility classes, stream implementations, file filters,
file comparators, endian transformation classes, and much more.</p>
<p><b>URL: </b><a class="externalLink" href="https://commons.apache.org/proper/commons-io/">https://commons.apache.org/proper/commons-io/</a></p>
<p><b>Project Licenses: </b><a class="externalLink" href="https://www.apache.org/licenses/LICENSE-2.0.txt">Apache License, Version 2.0</a></p></td></tr></table></div></li>
<li>junit:junit:jar:4.12 (test) <img id="_img5" src="./images/icon_info_sml.gif" alt="[Information]" onclick="toggleDependencyDetails( '_dep4', '_img5' );" style="cursor: pointer; vertical-align: text-bottom;"></img><div id="_dep4" style="display:none">
<table border="0" class="bodyTable">
<tr class="a">
<th>JUnit</th></tr>
<tr class="b">
<td>
<p><b>Description: </b>JUnit is a unit testing framework for Java, created by Erich Gamma and Kent Beck.</p>
<p><b>URL: </b><a class="externalLink" href="http://junit.org">http://junit.org</a></p>
<p><b>Project Licenses: </b><a class="externalLink" href="http://www.eclipse.org/legal/epl-v10.html">Eclipse Public License 1.0</a></p></td></tr></table></div>
<ul>
<li>org.hamcrest:hamcrest-core:jar:1.3 (test) <img id="_img7" src="./images/icon_info_sml.gif" alt="[Information]" onclick="toggleDependencyDetails( '_dep6', '_img7' );" style="cursor: pointer; vertical-align: text-bottom;"></img><div id="_dep6" style="display:none">
<table border="0" class="bodyTable">
<tr class="a">
<th>Hamcrest Core</th></tr>
<tr class="b">
<td>
<p><b>Description: </b>This is the core API of hamcrest matcher framework to be used by third-party framework providers. This includes the a foundation set of matcher implementations for common operations.</p>
<p><b>URL: </b><a class="externalLink" href="https://github.com/hamcrest/JavaHamcrest/hamcrest-core">https://github.com/hamcrest/JavaHamcrest/hamcrest-core</a></p>
<p><b>Project Licenses: </b><a class="externalLink" href="http://www.opensource.org/licenses/bsd-license.php">New BSD License</a></p></td></tr></table></div></li></ul></li>
<li>org.apache.logging.log4j:log4j-api:jar:2.7 (compile) <img id="_img9" src="./images/icon_info_sml.gif" alt="[Information]" onclick="toggleDependencyDetails( '_dep8', '_img9' );" style="cursor: pointer; vertical-align: text-bottom;"></img><div id="_dep8" style="display:none">
<table border="0" class="bodyTable">
<tr class="a">
<th>Apache Log4j API</th></tr>
<tr class="b">
<td>
<p><b>Description: </b>The Apache Log4j API</p>
<p><b>URL: </b><a class="externalLink" href="http://logging.apache.org/log4j/2.x/log4j-api/">http://logging.apache.org/log4j/2.x/log4j-api/</a></p>
<p><b>Project Licenses: </b><a class="externalLink" href="http://www.apache.org/licenses/LICENSE-2.0.txt">The Apache Software License, Version 2.0</a></p></td></tr></table></div></li>
<li>org.apache.logging.log4j:log4j-core:jar:2.7 (compile) <img id="_img11" src="./images/icon_info_sml.gif" alt="[Information]" onclick="toggleDependencyDetails( '_dep10', '_img11' );" style="cursor: pointer; vertical-align: text-bottom;"></img><div id="_dep10" style="display:none">
<table border="0" class="bodyTable">
<tr class="a">
<th>Apache Log4j Core</th></tr>
<tr class="b">
<td>
<p><b>Description: </b>The Apache Log4j Implementation</p>
<p><b>URL: </b><a class="externalLink" href="http://logging.apache.org/log4j/2.x/log4j-core/">http://logging.apache.org/log4j/2.x/log4j-core/</a></p>
<p><b>Project Licenses: </b><a class="externalLink" href="http://www.apache.org/licenses/LICENSE-2.0.txt">The Apache Software License, Version 2.0</a></p></td></tr></table></div></li>
<li>org.apache.logging.log4j:log4j-1.2-api:jar:2.7 (compile) <img id="_img13" src="./images/icon_info_sml.gif" alt="[Information]" onclick="toggleDependencyDetails( '_dep12', '_img13' );" style="cursor: pointer; vertical-align: text-bottom;"></img><div id="_dep12" style="display:none">
<table border="0" class="bodyTable">
<tr class="a">
<th>Apache Log4j 1.x Compatibility API</th></tr>
<tr class="b">
<td>
<p><b>Description: </b>The Apache Log4j 1.x Compatibility API</p>
<p><b>URL: </b><a class="externalLink" href="http://logging.apache.org/log4j/2.x/log4j-1.2-api/">http://logging.apache.org/log4j/2.x/log4j-1.2-api/</a></p>
<p><b>Project Licenses: </b><a class="externalLink" href="http://www.apache.org/licenses/LICENSE-2.0.txt">The Apache Software License, Version 2.0</a></p></td></tr></table></div></li>
<li>org.apache.logging.log4j:log4j-slf4j-impl:jar:2.7 (compile) <img id="_img15" src="./images/icon_info_sml.gif" alt="[Information]" onclick="toggleDependencyDetails( '_dep14', '_img15' );" style="cursor: pointer; vertical-align: text-bottom;"></img><div id="_dep14" style="display:none">
<table border="0" class="bodyTable">
<tr class="a">
<th>Apache Log4j SLF4J Binding</th></tr>
<tr class="b">
<td>
<p><b>Description: </b>The Apache Log4j SLF4J API binding to Log4j 2 Core</p>
<p><b>URL: </b><a class="externalLink" href="http://logging.apache.org/log4j/2.x/log4j-slf4j-impl/">http://logging.apache.org/log4j/2.x/log4j-slf4j-impl/</a></p>
<p><b>Project Licenses: </b><a class="externalLink" href="http://www.apache.org/licenses/LICENSE-2.0.txt">The Apache Software License, Version 2.0</a></p></td></tr></table></div>
<ul>
<li>org.slf4j:slf4j-api:jar:1.7.21 (compile) <img id="_img17" src="./images/icon_info_sml.gif" alt="[Information]" onclick="toggleDependencyDetails( '_dep16', '_img17' );" style="cursor: pointer; vertical-align: text-bottom;"></img><div id="_dep16" style="display:none">
<table border="0" class="bodyTable">
<tr class="a">
<th>SLF4J API Module</th></tr>
<tr class="b">
<td>
<p><b>Description: </b>The slf4j API</p>
<p><b>URL: </b><a class="externalLink" href="http://www.slf4j.org">http://www.slf4j.org</a></p>
<p><b>Project Licenses: </b><a class="externalLink" href="http://www.opensource.org/licenses/mit-license.php">MIT License</a></p></td></tr></table></div></li></ul></li>
<li>org.apache.logging.log4j:log4j-jcl:jar:2.7 (compile) <img id="_img19" src="./images/icon_info_sml.gif" alt="[Information]" onclick="toggleDependencyDetails( '_dep18', '_img19' );" style="cursor: pointer; vertical-align: text-bottom;"></img><div id="_dep18" style="display:none">
<table border="0" class="bodyTable">
<tr class="a">
<th>Apache Log4j Commons Logging Bridge</th></tr>
<tr class="b">
<td>
<p><b>Description: </b>The Apache Log4j Commons Logging Adapter</p>
<p><b>URL: </b><a class="externalLink" href="http://logging.apache.org/log4j/2.x/log4j-jcl/">http://logging.apache.org/log4j/2.x/log4j-jcl/</a></p>
<p><b>Project Licenses: </b><a class="externalLink" href="http://www.apache.org/licenses/LICENSE-2.0.txt">The Apache Software License, Version 2.0</a></p></td></tr></table></div>
<ul>
<li>commons-logging:commons-logging:jar:1.2 (compile) <img id="_img21" src="./images/icon_info_sml.gif" alt="[Information]" onclick="toggleDependencyDetails( '_dep20', '_img21' );" style="cursor: pointer; vertical-align: text-bottom;"></img><div id="_dep20" style="display:none">
<table border="0" class="bodyTable">
<tr class="a">
<th>Apache Commons Logging</th></tr>
<tr class="b">
<td>
<p><b>Description: </b>Apache Commons Logging is a thin adapter allowing configurable bridging to other,
    well known logging systems.</p>
<p><b>URL: </b><a class="externalLink" href="http://commons.apache.org/proper/commons-logging/">http://commons.apache.org/proper/commons-logging/</a></p>
<p><b>Project Licenses: </b><a class="externalLink" href="http://www.apache.org/licenses/LICENSE-2.0.txt">The Apache Software License, Version 2.0</a></p></td></tr></table></div></li></ul></li>
<li>com.lmax:disruptor:jar:3.3.6 (compile) <img id="_img23" src="./images/icon_info_sml.gif" alt="[Information]" onclick="toggleDependencyDetails( '_dep22', '_img23' );" style="cursor: pointer; vertical-align: text-bottom;"></img><div id="_dep22" style="display:none">
<table border="0" class="bodyTable">
<tr class="a">
<th>Disruptor Framework</th></tr>
<tr class="b">
<td>
<p><b>Description: </b>Disruptor - Concurrent Programming Framework</p>
<p><b>URL: </b><a class="externalLink" href="http://lmax-exchange.github.com/disruptor">http://lmax-exchange.github.com/disruptor</a></p>
<p><b>Project Licenses: </b><a class="externalLink" href="http://www.apache.org/licenses/LICENSE-2.0.txt">The Apache Software License, Version 2.0</a></p></td></tr></table></div></li></ul></li></ul></div></div><a name="Licenses"></a>
<div class="section">
<h2><a name="Licenses"></a>Licenses</h2>
<p><b>Unknown: </b>SortingAppProject</p>
<p><b>Eclipse Public License 1.0: </b>JUnit</p>
<p><b>MIT License: </b>SLF4J API Module</p>
<p><b>Apache License, Version 2.0: </b>Apache Commons IO</p>
<p><b>New BSD License: </b>Hamcrest Core</p>
<p><b>The Apache Software License, Version 2.0: </b>Apache Commons Logging, Apache Log4j 1.x Compatibility API, Apache Log4j API, Apache Log4j Commons Logging Bridge, Apache Log4j Core, Apache Log4j SLF4J Binding, Disruptor Framework</p></div><a name="Dependency_File_Details"></a>
<div class="section">
<h2><a name="Dependency_File_Details"></a>Dependency File Details</h2>
<table border="0" class="bodyTable">
<tr class="a">
<th>Filename</th>
<th>Size</th>
<th>Entries</th>
<th>Classes</th>
<th>Packages</th>
<th>Java Version</th>
<th title="Indicates whether these dependencies have been compiled with debug information.">Debug Information</th></tr>
<tr class="b">
<td>disruptor-3.3.6.jar</td>
<td>84.1 kB</td>
<td>87</td>
<td>79</td>
<td>4</td>
<td>1.6</td>
<td>Yes</td></tr>
<tr class="a">
<td>commons-io-2.7.jar</td>
<td>276.4 kB</td>
<td>198</td>
<td>176</td>
<td>10</td>
<td>1.8</td>
<td>Yes</td></tr>
<tr class="b">
<td>commons-logging-1.2.jar</td>
<td>61.8 kB</td>
<td>42</td>
<td>28</td>
<td>2</td>
<td>1.2</td>
<td>Yes</td></tr>
<tr class="a">
<td>junit-4.12.jar</td>
<td>314.9 kB</td>
<td>323</td>
<td>286</td>
<td>30</td>
<td>1.5</td>
<td>Yes</td></tr>
<tr class="b">
<td>log4j-1.2-api-2.7.jar</td>
<td>60.5 kB</td>
<td>60</td>
<td>41</td>
<td>7</td>
<td>1.7</td>
<td>Yes</td></tr>
<tr class="a">
<td>log4j-api-2.7.jar</td>
<td>219 kB</td>
<td>156</td>
<td>137</td>
<td>6</td>
<td>1.7</td>
<td>Yes</td></tr>
<tr class="b">
<td>log4j-core-2.7.jar</td>
<td>1.3 MB</td>
<td>938</td>
<td>860</td>
<td>49</td>
<td>1.7</td>
<td>Yes</td></tr>
<tr class="a">
<td>log4j-jcl-2.7.jar</td>
<td>12.5 kB</td>
<td>20</td>
<td>3</td>
<td>1</td>
<td>1.7</td>
<td>Yes</td></tr>
<tr class="b">
<td>log4j-slf4j-impl-2.7.jar</td>
<td>22.9 kB</td>
<td>26</td>
<td>10</td>
<td>2</td>
<td>1.7</td>
<td>Yes</td></tr>
<tr class="a">
<td>hamcrest-core-1.3.jar</td>
<td>45 kB</td>
<td>52</td>
<td>45</td>
<td>3</td>
<td>1.5</td>
<td>Yes</td></tr>
<tr class="b">
<td>slf4j-api-1.7.21.jar</td>
<td>41.1 kB</td>
<td>46</td>
<td>34</td>
<td>4</td>
<td>1.5</td>
<td>Yes</td></tr>
<tr class="a">
<th>Total</th>
<th>Size</th>
<th>Entries</th>
<th>Classes</th>
<th>Packages</th>
<th>Java Version</th>
<th>Debug Information</th></tr>
<tr class="b">
<td>11</td>
<td>2.4 MB</td>
<td>1948</td>
<td>1699</td>
<td>118</td>
<td>1.8</td>
<td>11</td></tr>
<tr class="a">
<td>compile: 9</td>
<td>compile: 2.1 MB</td>
<td>compile: 1573</td>
<td>compile: 1368</td>
<td>compile: 85</td>
<td>-</td>
<td>compile: 9</td></tr>
<tr class="b">
<td>test: 2</td>
<td>test: 360 kB</td>
<td>test: 375</td>
<td>test: 331</td>
<td>test: 33</td>
<td>-</td>
<td>test: 2</td></tr></table></div>
      </div>
    </div>
    <div class="clear">
      <hr/>
    </div>
    <div id="footer">
      <div class="xright">
        Copyright &#169;      2023.All rights reserved.      </div>
      <div class="clear">
        <hr/>
      </div>
    </div>
  </body>
</html>
